Subject: Re: bug#59423: Invalid 'location' field generated in dovecot configuration

From: Ludovic Courtès <[email-masked]>
Date: Tue, 22 Nov 2022 09:10:51 +0100

Hi,

Pierre Langlois <[email-masked]> skribis:

> After updating the system, the dovecot service got confused and started
> moving around all mailboxes.  I looked up the configuration and noticed
> strange invalid syntax for the location field:
>
> location=#<<location> file: "path/to/config.scm" line: 297 column: 20>
>
>
> Because the # character is interpreted as a comment, dovecot doesn't
> crash and instead moves mailboxes around in weird ways I don't quite
> understand :-/.

Ouch, sorry about that.

> I did a `git bisect` with `guix time-machine` (this tool is invaluable)
> and found the issue started with this commit:
>
> commit 543d971ed2a1d9eb934af1f51930741d7cc4e7ef
> Author: Maxim Cournoyer <[email-masked]>
> Date:   Fri Oct 28 17:06:16 2022 -0400
>     services: configuration: Re-order generated record fields.

I believe this is now fixed.

Maxim, can you confirm?

Thanks,
Ludo’.